Bug 1209505 - assign DiskProfileUser role to Everyone group to newly added storagedomain's profile
Summary: assign DiskProfileUser role to Everyone group to newly added storagedomain's ...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: General
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: ovirt-3.6.7
: 3.6.7
Assignee: Jenny Tokar
QA Contact: Gonza
URL:
Whiteboard:
Keywords:
Depends On: 1160846
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-07 14:00 UTC by Ondra Machacek
Modified: 2019-04-28 13:53 UTC (History)
15 users (show)

(edit)
Cause: 
When creating new storage domain a new disk profile was added without the relevant permissions.

Consequence: 
Users couldn't use this profile until a DiskProfileUser role was manually added. 

Fix: 
When creating the new disk profile add the DiskProfileUser role to Everyone group. 

Result: 
Users are able to use the disk profile immediately after its creation.
Clone Of:
(edit)
Last Closed: 2016-07-04 12:32:59 UTC
rule-engine: ovirt-3.6.z+
ylavi: planning_ack+
dfediuck: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 56573 master DRAFT core: Fix permissions for profiles created for new domain 2016-04-26 08:47 UTC
oVirt gerrit 57526 ovirt-engine-3.6 MERGED core: Fix permissions for profiles created for new domain 2016-05-20 14:04 UTC

Description Ondra Machacek 2015-04-07 14:00:16 UTC
Description of problem:
assign DiskProfileUser role to Everyone group to newly added storagedomain

Version-Release number of selected component (if applicable):
rhevm-3.5.1-0.3.el6ev.noarch

How reproducible:
always

Steps to Reproduce:
1. Add new storage domain.
2. Check it's permissions.

Actual results:
Group Everyone don't have DiskProfileUser role on sd's disk profile.

Expected results:
Group Everyone have DiskProfileUser role on sd's disk profile.

Additional info:

Comment 2 Roy Golan 2015-11-11 14:02:46 UTC
On creation of a new domain we should make sure that a domain has a profile with everyone perms on it so a creation of a disk should be available with no further work (otherwise this was a regression)

Comment 3 Roy Golan 2015-11-18 08:31:57 UTC
This was fixed in bug 1160846 in 3.5.1. Please verify.

note that the role given by default is UserProfileEditor

Comment 4 Ondra Machacek 2015-11-18 11:18:37 UTC
To be able to see(and use) the disk profile you need to have role 'DiskProfileUser' on diskprofile of newly added storage domain, so it don't work.

Comment 5 Roy Golan 2015-11-24 13:24:04 UTC
(In reply to Ondra Machacek from comment #4)
> To be able to see(and use) the disk profile you need to have role
> 'DiskProfileUser' on diskprofile of newly added storage domain, so it don't
> work.

Ondra you are correct, we don't add that permission on the creation of the storage domain.

Comment 6 Yaniv Kaul 2016-05-04 13:28:40 UTC
Why is the bug on NEW when there's a patch being worked on? Is it going to make it to 3.6.6? Otherwise, please move it TODAY to whatever release it's going to be.

Comment 7 Yaniv Kaul 2016-05-04 18:04:46 UTC
Moving to 3.6.7, for the time being.

Comment 8 Roy Golan 2016-05-09 12:09:56 UTC
(In reply to Yaniv Kaul from comment #6)
> Why is the bug on NEW when there's a patch being worked on? Is it going to
> make it to 3.6.6? Otherwise, please move it TODAY to whatever release it's
> going to be.

I expected automation to do so. Anyway noticed and took care of

Comment 9 Gonza 2016-06-07 14:23:35 UTC
Verified with:
ovirt-engine-4.1.0-0.0.master.20160605051229.gitb398fa2.el7.centos.noarch


Note You need to log in before you can comment on or make changes to this bug.